Mailrelay API Reference

Get sent campaign's unsubscribe events

GET https://{account}/api/v1/sent_campaigns/{id}/unsubscribe_events

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get sent campaign's unsubscribe events.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 10000.

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record
page integer No Page number
per_page integer No Number of records per page
q[email_eq] string No Search: Email equals
q[email_cont] string No Search: Email contains
q[sent_email_id_eq] integer No Search: Sent email equals
q[sent_email_id_gteq] integer No Search: Sent email greater than or equal to
q[sent_email_id_lteq] integer No Search: Sent email less than or equal to
q[source_eq] string No Search: Source equals
q[source_cont] string No Search: Source contains
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "email desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.
404 Couldn't find record with provided ID.

Response fields

NameTypeDescription
sent_email_id integer Sent email
email string Email
id integer ID
source string Source
ip string IP
reason string Reason
description string Description
created_at string Created at

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.